Subject: Re: bug#9767: 24.0.90; gdb initialization on Cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 22 Oct 2011 05:47:24 -0400

On 10/21/2011 6:24 PM, Stefan Monnier wrote:
>> unreliable, and, in particular, it consistently fails on Cygwin.  In other
>> words, the SIGALRM is delivered before select times out, causing select to
>> get interrupted.  So wait_reading_process_output does indeed loop, and
>> select fails every time (except when a key is pressed).
>
> Why is it a problem that `select' fails?  It should not be a problem: in
> the worst case it should only mean that Emacs does "busy waiting" and
> uses up more CPU than needed.  But it shouldn't prevent Emacs from
> reading input from processes (which IIUC is the actual problem we're
> trying to solve).

You're right.  I wasn't thinking clearly.  The problem  is not solved.

Ken